﻿package MT::Plugin::ExtractContent;
use strict;
use MT;
use MT::Plugin;

our $VERSION = '0.1';

use base qw( MT::Plugin );

@MT::Plugin::ExtractContent::ISA = qw( MT::Plugin );

my $plugin = new MT::Plugin::ExtractContent ( {
    name => 'ExtractContent',
    id =>   'ExtractContent',
    key =>  'extractcontent',
    description => 'Import from HTML using ExtractContent.',
    author_name => 'Alfasado,Inc',
    author_link => 'http://alfasado.net/',
    'version' => $VERSION,
} );

MT->add_plugin( $plugin );

sub init_registry {
    my $plugin = shift;
    $plugin->registry ( {
        callbacks => {
            'cms_post_import.entry'
                => \&_cms_post_import,
            'cms_post_import.page'
                => \&_cms_post_import,
        },
   } );
}

sub _cms_post_import {
    my ( $cb, $app, $entry, $path, $data ) = @_;
    use HTML::ExtractContent;
    my $extractor = HTML::ExtractContent->new;
    $extractor->extract( $data );
    my $text = $extractor->as_html;
    $entry->text( $text );
    $entry->save or die $entry->errstr;
}

1;